Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

## Hierarchy For Package org.opengis.parameter

Package Hierarchies:
  All Packages

## Class Hierarchy

- Object
  - Throwable (implements Serializable)
    - Exception
      - RuntimeException
        - IllegalArgumentException
          - InvalidParameterNameException
          - InvalidParameterValueException
          - ParameterNotFoundException
        - IllegalStateException
          - InvalidParameterCardinalityException
          - InvalidParameterTypeException

## Interface Hierarchy

- Cloneable
  - Cloneable
    - GeneralParameterValue
      - ParameterValue<T>
      - ParameterValueGroup
- IdentifiedObject
  - GeneralParameterDescriptor
    - ParameterDescriptor<T>
    - ParameterDescriptorGroup

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV NEXT | FRAMES NO FRAMES

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.